#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.Graphics;
using Com.Syncfusion.Navigationdrawer;

namespace NavigationDrawerSample
{
	//[Activity (Label = "NavigationDrawer")]			
	public class NavigationDrawer : FrameLayout 
	{
		Button btn,leftbtn,rightbtn; ListView listView;
		SfNavigationDrawer slideDrawer;
		LinearLayout propertylayout, stackView3;
		AlertDialog.Builder builderSingle,builderSingle2;
		ArrayAdapter<String> dataadpater,dataAdapter,dataAdapter1;
		Spinner positionSpinner,animationSpinner;
		Position sliderposition = Position.Left;
		Transition sliderTransition =Transition.SlideOnTop;

		public NavigationDrawer (Context context) : base (context)
		{
			GetSampleContent (context);
		}
		
		

		int height,width;




		public  void GetSampleContent (Context context)
		{
			btn = new Button(context);
		    btn.SetBackgroundResource(Resource.Drawable.burgericon);
			FrameLayout.LayoutParams btlayoutParams = new FrameLayout.LayoutParams(42,32, GravityFlags.Center);

			btn.LayoutParameters = btlayoutParams;
			btn.SetPadding (10,0,0,0);
			btn.Gravity=GravityFlags.CenterVertical;


			TextView textView = new TextView(context);
			textView.TextSize=20;
			textView.Text="Home";
			textView.SetTextColor (Color.White);
			textView.Gravity=GravityFlags.Center;
			LinearLayout linearLayout =  new LinearLayout(context);
			FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(ViewGroup.LayoutParams.MatchParent, 70, GravityFlags.Center);
			layoutParams.SetMargins (10,0,0,0);
			linearLayout.SetPadding (10,0,0,0);
			linearLayout.AddView(btn);linearLayout.AddView(textView,layoutParams);
			linearLayout.SetBackgroundColor(Color.Rgb(47,173,227));


			height = context.Resources.DisplayMetrics.HeightPixels-75;
			width =context.Resources.DisplayMetrics.WidthPixels;

			LinearLayout linear2 = new LinearLayout(context);
			linear2.Orientation=Orientation.Vertical;
			linear2.LayoutParameters = new ViewGroup.LayoutParams (ViewGroup.LayoutParams.MatchParent, ViewGroup.LayoutParams.MatchParent);
			FrameLayout.LayoutParams layout2= new FrameLayout.LayoutParams(ViewGroup.LayoutParams.MatchParent, ViewGroup.LayoutParams.WrapContent, GravityFlags.Center);
			linear2.AddView(linearLayout,layout2);

			/**
			 * Main Content
			 * */




			FrameLayout gridLayout = new FrameLayout(context);
			gridLayout.LayoutParameters=new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, ViewGroup.LayoutParams.MatchParent);

			/**
         * item1
         */

			FrameLayout grid1 = new FrameLayout(context);
			ImageView img1 = new ImageView(context);
			img1.SetScaleType (ImageView.ScaleType.FitXy);
			img1.SetImageResource(Resource.Drawable.profile);

			FrameLayout.LayoutParams layoutParams1 = new FrameLayout.LayoutParams(ViewGroup.LayoutParams.MatchParent, ViewGroup.LayoutParams.MatchParent, GravityFlags.Center);

			grid1.AddView(img1, layoutParams1);

			grid1.LayoutParameters=new ViewGroup.LayoutParams((width-20) / 2,(height - 100)/3);

			/**
         * item2
         */

			FrameLayout grid2 = new FrameLayout(context);
			ImageView img2 = new ImageView(context);
            img2.SetImageResource(Resource.Drawable.inbox);
			img2.SetScaleType (ImageView.ScaleType.FitXy);
			grid2.AddView(img2, layoutParams1);
			grid2.LayoutParameters=new ViewGroup.LayoutParams((width-20) / 2,(height - 100)/3);

			/**
         * item3
         */

			FrameLayout grid3 = new FrameLayout(context);
			ImageView img3 = new ImageView(context);
			img3.SetImageResource(Resource.Drawable.outbox);
			img3.SetScaleType (ImageView.ScaleType.FitXy);
			grid3.AddView(img3, layoutParams1);
			grid3.LayoutParameters=new ViewGroup.LayoutParams((width-20) / 2,(height - 100)/3);


			/**
         * item4
         */

			FrameLayout grid4 = new FrameLayout(context);
			ImageView img4 = new ImageView(context);
			img4.SetImageResource(Resource.Drawable.flag);
			img4.SetScaleType (ImageView.ScaleType.FitXy);
			grid4.AddView(img4, layoutParams1);
			grid4.LayoutParameters=new ViewGroup.LayoutParams((width-20) / 2,(height - 100)/3);
			/**
         * item5
         */
			FrameLayout grid5 = new FrameLayout(context);
			ImageView img5 = new ImageView(context);
			img5.SetImageResource(Resource.Drawable.trash);
			img5.SetScaleType (ImageView.ScaleType.FitXy);

			grid5.AddView(img5, layoutParams1);

			grid5.LayoutParameters=new ViewGroup.LayoutParams((width-20) / 2,(height - 155)/3);



			/**
         * item6
         */



			FrameLayout grid6 = new FrameLayout(context);
			ImageView img6 = new ImageView(context);
			img6.SetImageResource(Resource.Drawable.power);		
			grid6.AddView(img6, layoutParams1);
			img6.SetScaleType (ImageView.ScaleType.FitXy);
			grid6.LayoutParameters=new ViewGroup.LayoutParams((width-20) / 2,(height - 155)/3);


			img1.SetPadding (0,0,0,3);
			img2.SetPadding (-1,0,0,3);
			img3.SetPadding (0,0,0,0);
			img4.SetPadding (-1,0,0,0);
			img5.SetPadding (0,0,0,15);
			img6.SetPadding (-1,0,0,15);
			int x=0;
			int y=5;

			int x1,y1;
			x1= (x)+(width/2);
			y1 = (2*y)+((height-100)/3);
			grid1.SetX(x); grid1.SetY(y);
			grid2.SetX(x1); grid2.SetY(y);
			grid3.SetX(x); grid3.SetY(y1);
			grid4.SetX(x1); grid4.SetY(y1);
			grid5.SetX(x); grid5.SetY((2*y1));
			grid6.SetX(x1); grid6.SetY((2*y1));

			gridLayout.AddView(grid1);
			gridLayout.AddView(grid2);
			gridLayout.AddView(grid3);
			gridLayout.AddView(grid4);
			gridLayout.AddView(grid5);
			gridLayout.AddView(grid6);

			FrameLayout ContentFrame = new FrameLayout (context);
			ContentFrame.LayoutParameters = new ViewGroup.LayoutParams (ViewGroup.LayoutParams.MatchParent, height-75);
			ContentFrame.SetBackgroundColor (Color.White);
			ContentFrame.AddView (gridLayout);
			gridLayout.SetBackgroundColor (Color.White);
			linear2.AddView (ContentFrame);



			LinearLayout contentLayout= new LinearLayout(context);

			RoundedImageView imgvw=new RoundedImageView(context,120,120);
			imgvw.SetPadding(0,10,0,10);
            imgvw.SetImageResource(Resource.Drawable.user);
			LinearLayout.LayoutParams layparams8 = new LinearLayout.LayoutParams(120, 120);
			layparams8.Gravity = GravityFlags.Center;
			imgvw.LayoutParameters=new ViewGroup.LayoutParams(120, 120);

			TextView text = new TextView(context);
			text.Text="James Pollock";
			text.Gravity=GravityFlags.Center;
			text.TextSize=17;
			text.SetTextColor(Color.White);
			text.SetPadding (0,20,0,0);
			text.LayoutParameters=new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, ViewGroup.LayoutParams.WrapContent);
			LinearLayout headerLayout=new LinearLayout(context);
			headerLayout.Orientation=Orientation.Vertical;
			headerLayout.SetBackgroundColor(Color.Rgb(47,173,227));
			headerLayout.LayoutParameters=new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, 200);
			headerLayout.SetGravity (GravityFlags.Center);
			headerLayout.AddView(imgvw,layparams8);
			headerLayout.AddView(text);
			LinearLayout.LayoutParams layparams2 = new LinearLayout.LayoutParams(ViewGroup.LayoutParams.MatchParent, (int) (height * 0.15));
			layparams2.Gravity = GravityFlags.Center;
			contentLayout.AddView(headerLayout);
			LinearLayout.LayoutParams layparams5 = new LinearLayout.LayoutParams(ViewGroup.LayoutParams.MatchParent,  (2));

			contentLayout.AddView(new SeparatorView(context,width){},layparams5);
			contentLayout.SetBackgroundColor (Color.White);
			linear2.SetBackgroundColor(Color.White);

			slideDrawer = new Com.Syncfusion.Navigationdrawer.SfNavigationDrawer(context);
			slideDrawer.ContentView=linear2;
			slideDrawer.DrawerWidth = (float)(width * 0.60);
			slideDrawer.DrawerHeight = (float)(height * 0.60);
			slideDrawer.Transition=Transition.SlideOnTop;
			slideDrawer.LayoutParameters=new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, ViewGroup.LayoutParams.MatchParent);
			listView = new ListView(context);
			listView.VerticalScrollBarEnabled = true;
			btn.Click+= (object sender, EventArgs e) => {
				slideDrawer.ToggleDrawer();
			};

			List<String> list = new List<String>();
			list.Add("Home");
			list.Add("Profile");
			list.Add("Inbox");
			list.Add("Outbox");
			list.Add("Sent Items");
			list.Add("Trash");
			ArrayAdapter<String> arrayAdapter =new ArrayAdapter<String>(context, Android.Resource.Layout.SimpleListItem1,list);
			listView.SetAdapter(arrayAdapter);
			listView.SetBackgroundColor(Color.SkyBlue);
			listView.LayoutParameters = new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent,ViewGroup.LayoutParams.MatchParent);
			contentLayout.AddView(listView);

			contentLayout.Orientation=Orientation.Vertical;

			FrameLayout frame = new FrameLayout (context);
			frame.LayoutParameters = new ViewGroup.LayoutParams (ViewGroup.LayoutParams.MatchParent, ViewGroup.LayoutParams.MatchParent);
			frame.SetBackgroundColor (Color.White);
			frame.AddView (contentLayout);
			slideDrawer.DrawerContentView=frame;
			this.AddView (slideDrawer);

		}


	}
}

